On Wed, Jun 16, 2010 at 10:28:46PM +0200, Sylvestre Ledru wrote:
> Package: hdf5
> Severity: wishlist
> Hello,
> It would be nice if you could consider the usage of update-alternative
> for the hdf5 libraries.
> For now, it is not possible to have both hdf5 and hdf5-mpi packages on the
> same system.
> This would allow this and improves the switch between the various
> implementations improvements.
> I implemented this with success for linear algebra libraries:
> http://sylvestre.ledru.info/blog/sylvestre/2010/04/06/update_of_the_linear_algebra_libraries_i
> If you agree, I could try to do that for you for hdf5.
> Cheers,
> Sylvestre

I fail to see how it could be possible: MPI and not-MPI enabled
libraries have different APIs, not the same as in the LAPACK case.
The right answer is a different name for mpi/not-mpi implementations,
but upstream is still far from converging on that and I'd avoid
implementing a debian-only flavor about that.

Francesco P. Lovergine

Pkg-grass-devel mailing list

Reply via email to